Advanced search

Why can I not connect my Android device (with the latest Android version 8.0 or higher) to my ComfortTouch via the ComfortTouch App?

Carolina Bachenheimer-Schaefer
08.05.2018 10:23
Average rating: 5 (1 Vote)

You cannot comment on this entry